#2705 magic_quotes_gpc unavailable as of PHP5.4

Feature_request
open
nobody
5
2013-08-08
2013-08-08
No

Unable to use stock v1.2.7 install of Webcalendar on a system using PHP 5.4 or newer (in my case Debian v7) because magic quotes have been removed from PHP 5.4.

Found a patch on the Webcalendar wiki (http://www.k5n.us/wiki/index.php?title=WebCalendar_without_magic_quotes_gpc) which suggests a patch for not using magic quotes with Oracle.

  • Is that patch still valid and will it work with any of the supported database engines? (Postgres 9.1 in my case)
  • Is it the only patch necessary to make magic quotes no longer for webcalendar?
  • Will that patch work if the webcalendar database I'm using has been utilizing magic quotes up to this point? (A bit of a concern since the webcalendar database I'm maintaining has been in use since 2005 and has a bit over 28,000 entries).

Discussion